Bug 445371 - RS690: unknown chip id 0x791f
RS690: unknown chip id 0x791f
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
  Show dependency treegraph
Reported: 2008-05-06 11:14 EDT by Michal Schmidt
Modified: 2008-08-08 08:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-08 08:11:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
add one chip id for rs690 (610 bytes, patch)
2008-05-06 11:14 EDT, Michal Schmidt
no flags Details | Diff

  None (edit)
Description Michal Schmidt 2008-05-06 11:14:00 EDT
Description of problem:
3D acceleration does not work on my laptop with the graphics chip 1002:791f ATI
Technologies Inc RS690M [Radeon X1200 Series].

The beginning of glxinfo output says:

 unknown chip id 0x791f, can't guess.
 libGL error: InitDriver failed
 libGL error: reverting to (slow) indirect rendering
 name of display: :1.0
 display: :1  screen: 0
 direct rendering: No (If you want to find out why, try setting LIBGL_DEBUG=verbose)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Get the hardware with PCI ID 1002:791f
2. Run glxinfo on it.
Actual results:
DRI is not working.

Expected results:
DRI works.

Additional info:

When I put the line "ChipID 0x791e" into the Device section in xorg.conf, it
improves a lot:
 Warning, RS690 detected, 3D support is incomplete.
 name of display: :1.0
 display: :1  screen: 0
 direct rendering: Yes

Then even compiz works.

The believe the attached patch should fix it. I'm recompiling mesa now and will
test soon.
Comment 1 Michal Schmidt 2008-05-06 11:14:00 EDT
Created attachment 304640 [details]
add one chip id for rs690
Comment 2 Michal Schmidt 2008-05-06 11:20:47 EDT
OK, I'm now running with the patched mesa and with an empty xorg.conf. glxinfo
confirms direct rendering is enabled, compiz works. Please apply the patch.
Comment 3 Bug Zapper 2008-05-14 06:43:32 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 4 Michal Schmidt 2008-08-08 08:11:50 EDT
Some update in F9 fixed it already.

Note You need to log in before you can comment on or make changes to this bug.